import dayjs from 'dayjs';
import { doFetch } from '@/utils/doFetch';

function getcolumns(setdrawer) {
  return {
    columns: [
      {
        title: '保养单号',
        dataIndex: 'taskNo',
        key: 'taskNo',
        render: (text, row, _, action) => {
          return (
            <a
              onClick={() => {
                setdrawer((s) => ({
                  ...s,
                  open: true,
                  val: 'only',
                  title: '详细信息',
                  item: row,
                }));
              }}
            >
              {row?.taskNo}
            </a>
          );
        },
      },
      {
        title: '设备编号',
        dataIndex: 'equipmentNo',
        key: 'equipmentNo',
      },
      {
        title: '设备名称',
        dataIndex: 'equipmentName',
        key: 'equipmentName',
      },
      {
        title: '保养类型',
        dataIndex: 'maintainTypeName',
        key: 'maintainType',
        valueType: 'select',
        mode: 'radio',
        options: [
          {
            label: '自主保养',
            value: '1',
          },
          {
            label: '专业保养',
            value: '2',
          },
        ],
      },
      {
        title: '保养频次',
        dataIndex: 'maintainFrequencyName',
        key: 'maintainFrequency',
        valueType: 'select',
        mode: 'radio',
        options: [
          {
            label: '周',
            value: '0',
          },
          {
            label: '月度',
            value: '1',
          },
          {
            label: '季度',
            value: '2',
          },
          {
            label: '半年',
            value: '3',
          },
          {
            label: '年度',
            value: '4',
          },
        ],
      },
      {
        title: '保养截至日期',
        dataIndex: 'planMaintainDate',
        key: 'planMaintainDateList',
        valueType: 'dateRange',
        render: (text, row, _, action) => {
          return (
            <span
              style={{
                color: `${
                  dayjs(row.planMaintainDate).valueOf() <
                  dayjs(dayjs().format('YYYY-MM-DD')).valueOf()
                    ? '#f50'
                    : 'rgba(0, 0, 0, 0.85)'
                }`,
              }}
            >
              {row.planMaintainDate}
            </span>
          );
        },
      },
    ],
    pathconfig: {
      enableadd: false,
      enableedit: false,
      enabledelete: false,
      enabledetail: false,
      add: '',
      edit: '',
      list: '/maintain/umMaintainTask/queryReceivingList',
      delete: '',
      detail: '',
    },
  };
}
export default getcolumns;
